import request from '@/utils/request'

// 查询订单服务记录列表
export function listOrderLog(query) {
  return request({
    url: '/system/OrderLog/list',
    method: 'get',
    params: query
  })
}

// 查询订单服务记录详细
export function getOrderLog(id) {
  return request({
    url: '/system/OrderLog/' + id,
    method: 'get'
  })
}

// 新增订单服务记录
export function addOrderLog(data) {
  return request({
    url: '/system/OrderLog',
    method: 'post',
    data: data
  })
}

// 修改订单服务记录
export function updateOrderLog(data) {
  return request({
    url: '/system/OrderLog',
    method: 'put',
    data: data
  })
}

// 删除订单服务记录
export function delOrderLog(id) {
  return request({
    url: '/system/OrderLog/' + id,
    method: 'delete'
  })
}
